/[suikacvs]/test/suikawebwww/style/html/xhtml2.css
Suika

Contents of /test/suikawebwww/style/html/xhtml2.css

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.3 - (show annotations) (download) (as text)
Sun Dec 5 06:48:19 2004 UTC (21 years, 9 months ago) by wakaba
Branch: MAIN
Changes since 1.2: +13 -3 lines
File MIME type: text/css
XLink'ing support

1 @namespace 'http://www.w3.org/2002/06/xhtml2';
2
3 html {
4 display: block;
5 line-height: 2.0;
6 }
7 head {
8 display: block;
9 max-width: 0;
10 max-height: 0;
11 visibility: hidden;
12 overflow: hidden;
13 }
14
15 title {
16 display: inline;
17 -moz-binding: url(../ui/title.xbl#title);
18 }
19
20 link {
21 display: inline;
22 -moz-binding: url(xhtml2-translate.xbl#copy-as-child);
23 }
24
25 meta {
26 display: inline;
27 -moz-binding: url(xhtml2-translate.xbl#meta);
28 }
29
30 body {
31 display: block;
32 margin: 1em 1.5em;
33 }
34
35 section {
36 display: block;
37 margin: 1em 0.5em;
38 }
39
40 section + section {
41 margin-top: 1em;
42 }
43
44 h {
45 display: block;
46 margin-left: -0.5em;
47 margin-bottom: 0.5em;
48 font-size: 120%;
49 font-weight: bolder;
50 line-height: 1.2;
51 }
52
53 body > h { /* h1 */
54 margin-left: 2em;
55 margin-right: 2em;
56 text-align: center;
57 font-size: 140%;
58 }
59
60 p {
61 display: block;
62 margin: 0.3em 0;
63 padding: 0;
64 text-indent: 1em;
65 text-align: justify;
66 }
67
68 l {
69 display: block;
70 }
71
72 blockquote, blockcode {
73 display: block;
74 }
75
76 blockcode, code, samp, kbd {
77 font-family: "Courier New", "Courier", monospace;
78 letter-spacing: 0.1em;
79 }
80
81 code.uri:before, code.mail:before {
82 content: "<";
83 }
84 code.uri:after, code.mail:after {
85 content: ">";
86 }
87 code.math {
88 font-family: "Times New Roman", "Times", serif;
89 }
90 var {
91 font-style: italic;
92 }
93 dfn {
94 font-weight: bolder;
95 }
96
97 /* List */
98
99 ul, ol, nl {
100 display: block;
101 }
102 li {
103 display: list-item;
104 margin-left: 2em;
105 padding-left: 0.5em;
106 }
107 label {
108 display: block;
109 font-weight: bolder;
110 text-decoration: underline;
111 }
112
113 dl {
114 display: block;
115 margin-top: 0.4em;
116 margin-bottom: 0.4em;
117 padding: 0;
118 }
119 di {
120 display: block;
121 margin: 0.3em 1em;
122 padding: 0;
123 }
124 dt {
125 display: list-item;
126 list-style-item: disc;
127 margin: 0;
128 padding: 0 0 0 0.5em;
129 }
130 dd {
131 display: block;
132 display: run-in;
133 margin: 0 0 0 3em;
134 padding: 0;
135 }
136
137 /* dl old style */
138 /* Note. dl should have di */
139 dl > dt {
140 margin: 0.3em 0 0 0;
141 border-right: red 2px solid;
142 }
143 dl > dd {
144 margin: 0 0 0.3em 3em;
145 border-right: red 2px solid;
146 }
147
148 /* Link */
149 [href] {
150 color: blue;
151 cursor: pointer;
152 text-decoration: none !important;
153 border-style: hidden;
154 border-width: 1px;
155 border-color: blue;
156 }
157 [href] {
158 color: -moz-hyperlinktext;
159 border-color: -moz-hyperlinktext;
160 -moz-binding: url(xhtml2-translate.xbl#href);
161 }
162 [href]:hover {
163 color: inherit;
164 border-style: solid;
165 border-width: 1px;
166 border-color: red;
167 }
168 [href]:active {
169 color: -moz-activehyperlinktext;
170 }
171
172 /*
173 * $B8@8l>pJs$G>l9gJ,$1$9$k$N$O@5$7$/$J$$$,!"8=:_$N(B CSS
174 * $B$K$OMQ;z7O$NA*Br;R$,$J$$$+$i!"6a;wE*$K$3$l$r;H$&!#(B
175 */
176
177 [xml|lang|="ja"] cite {
178 quotes: "$B!X(B" "$B!Y(B" "$B!V(B" "$B!W(B";
179 font-style: normal;
180 }
181 [xml|lang|="ja"] cite:before {
182 content: open-quote;
183 }
184 [xml|lang|="ja"] cite:after {
185 content: close-quote;
186 }
187 [xml|lang|="en"] cite {
188 quotes: none;
189 font-style: italic;
190 }
191 [xml|lang|="en"] cite cite {
192 quotes: none;
193 font-style: normal;
194 }
195 [xml|lang|="en"] cite:before,
196 [xml|lang|="en"] cite:after {
197 content: none;
198 }
199
200 var {
201 font-style: italic;
202 text-decoration: none;
203 }
204 var:lang(ja) {
205 font-style: normal;
206 text-decoration: underline;
207 }
208 var:lang(en) {
209 font-family: "Times New Roman", serif;
210 }
211
212 th[scope="row"] {
213 text-align: left;
214 }
215 th[scope="col"] {
216 text-align: center;
217 }
218
219 /* License
220
221 Copyright 2003-2004 Wakaba <[email protected]>.
222
223 This program is free software; you can redistribute it and/or modify
224 it under the terms of the GNU General Public License as published by
225 the Free Software Foundation; either version 2 of the License, or
226 (at your option) any later version.
227
228 This program is distributed in the hope that it will be useful,
229 but WITHOUT ANY WARRANTY; without even the implied warranty of
230 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
231 GNU General Public License for more details.
232
233 You should have received a copy of the GNU General Public License
234 along with this program; see the file COPYING. If not, write to
235 the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
236 Boston, MA 02111-1307, USA.
237
238 */
239
240 /* $Date: 2004/11/16 07:38:24 $ */

[email protected]
ViewVC Help
Powered by ViewVC 1.1.24